GIT-CREDENTIAL-OAUTH(1)

NAME

git-credential-oauth - Git credential helper that authenticates to GitHub and other forges using OAuth

SYNOPSIS

git-credential-oauth [<options>] <action>

DESCRIPTION

A read-only Git credential helper that authenticates to GitHub and other forges using OAuth.

Example configuration for Git:

    git config --global --unset-all credential.helper
    git config --global --add credential.helper "cache --timeout 7200" # two hours
    git config --global --add credential.helper oauth

To unconfigure:

    git config --global --unset-all credential.helper oauth

OPTIONS

Run git-credential-oauth -help for more details.